> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zuddl.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get sponsor details

> Use this endpoint to retrieve the details of a specific sponsor added to a particular event type in your Zuddl organization.

Required API key scopes: `READ`



## OpenAPI

````yaml https://api.prod.zuddl.com/api/v3/api-docs/api-product get /v1/events/{eventId}/sponsors/{sponsorId}
openapi: 3.1.0
info:
  title: Zuddl API Documentation
  description: >-
    Zuddl RESTful APIs let you interact with the Zuddl platform and take action
    for your event or webinar. They let you add attendees, get attendee details,
    get event details, and more.


    The API response is returned in JSON, which your systems can easily consume.


    The API parameters allow you to customize the response using filters,
    sorting, pagination, and other parameters. Parameter values should be
    percent-encoded (URL-encoded) to ensure correct transmission, especially if
    they contain special characters such as spaces, semi-colons, or slashes.


    # Rate limits


    | Metrics | Value |

    | --- | --- |

    | Requests/second | 10 |

    | Burst or no. of concurrent calls allowed | 100 requests |

    | Total quota | 10000 requests/day |
  version: '1.0'
servers:
  - url: https://api.zuddl.com/
security:
  - api_key: []
tags:
  - name: Events
    description: API endpoints for managing events
  - name: Attendees
    description: >-
      The attendee APIs let you add and retrieve attendee in a particular event
      type.
  - name: Sessions
    description: API endpoints for managing event sessions
  - name: Speakers
    description: API endpoints for managing event speakers
  - name: Sponsors
    description: API endpoints for managing event sponsors
  - name: Locations
    description: API endpoints for managing event locations
paths:
  /v1/events/{eventId}/sponsors/{sponsorId}:
    get:
      tags:
        - Sponsors
      summary: Get sponsor details
      description: >-
        Use this endpoint to retrieve the details of a specific sponsor added to
        a particular event type in your Zuddl organization.


        Required API key scopes: `READ`
      operationId: getSponsor
      parameters:
        - name: eventId
          in: path
          description: Event ID
          required: true
          schema:
            type: string
            pattern: >-
              ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
          example: 4fcebf73-3ddb-4fe6-b56d-5dd7dedb7c3d
        - name: sponsorId
          in: path
          description: Sponsor ID
          required: true
          schema:
            type: string
          example: 4fcebf73-3ddb-4fe6-b56d-5dd7dedb7ci9
      responses:
        '200':
          description: Sponsor details retrieved successfully
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/org.events.app.domain.api_product.event.sponsor.dtos.SponsorDetails
        '400':
          description: Invalid sponsor ID or event ID
          content:
            '*/*':
              schema:
                $ref: >-
                  #/components/schemas/org.events.app._internal._response.v1.ApiErrorResponse
        '401':
          description: Unauthorized
          content:
            '*/*':
              schema:
                $ref: >-
                  #/components/schemas/org.events.app._internal._response.v1.ApiErrorResponse
        '404':
          description: Sponsor not found
          content:
            '*/*':
              schema:
                $ref: >-
                  #/components/schemas/org.events.app._internal._response.v1.ApiErrorResponse
components:
  schemas:
    org.events.app.domain.api_product.event.sponsor.dtos.SponsorDetails:
      properties:
        kind:
          type: string
        url:
          type: string
          format: uri
        id:
          type: string
          format: uuid
          description: Unique ID of the sponsor
          example: 4fcebf73-3ddb-4fe6-b56d-5dd7dedb7c3d
        name:
          type: string
          description: Sponsor's name
          example: Acme Corp
        title:
          type: string
          description: Display title for the sponsor
          example: Acme's sponsorship
        description:
          type: string
          description: >-
            Description of the sponsor. May contain rich-text HTML markup (e.g.
            bold, italic, lists, links). Legacy sponsors may still return plain
            text.
          example: <p>Acme Corp is a <strong>leading</strong> provider of...</p>
        websiteUrl:
          type: string
          example: https://acme.com
        logoUrl:
          type: string
          example: https://example.com/sponsors/acme_logo.png
        email:
          type: string
          example: sponsorship@acme.com
        coverImageUrl:
          type: string
          example: https://example.com/sponsors/acme_cover.png
        tier:
          $ref: >-
            #/components/schemas/org.events.app.domain.api_product.event.sponsor.dtos.SponsorDetails.Tier
        booth:
          $ref: >-
            #/components/schemas/org.events.app.domain.api_product.event.sponsor.dtos.SponsorDetails.BoothRef
    org.events.app._internal._response.v1.ApiErrorResponse:
      properties:
        timestamp:
          type: string
          format: date-time
        message:
          type: string
        description:
          type: string
        errors:
          type: object
          additionalProperties:
            type: string
    org.events.app.domain.api_product.event.sponsor.dtos.SponsorDetails.Tier:
      description: Sponsorship tier information
      properties:
        tierId:
          type: string
          description: Tier ID
          example: tier-gold
        tierName:
          type: string
          description: Tier name
          example: Gold
    org.events.app.domain.api_product.event.sponsor.dtos.SponsorDetails.BoothRef:
      description: Reference to sponsor's booth
      properties:
        boothId:
          type: string
          example: 4fcebf73-3ddb-4fe6-b56d-5dd7dedb7c4f
        boothName:
          type: string
          example: Acme Booth
  securitySchemes:
    api_key:
      type: apiKey
      description: Provide your API key secret in the `Authorization` header
      name: Authorization
      in: header

````